osgDB::ImageOptions::RatioWindow Struct Reference

`#include <ImageOptions>`

## Public Member Functions

| RatioWindow ()
void | set (double x, double y, double w, double h)

## Public Attributes

double | windowX
double | windowY
double | windowWidth
double | windowHeight

## Detailed Description

RatioWindow stores the window (as ratios of 0.0 to 1.0) from the overall imagery from which to extract the osg::Image

## Constructor & Destructor Documentation

## RatioWindow()

osgDB::ImageOptions::RatioWindow::RatioWindow | ( |  | ) |

inline

References windowHeight, windowWidth, windowX, and windowY.

## Member Function Documentation

## set()

void osgDB::ImageOptions::RatioWindow::set | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h )

inline

References windowHeight, windowWidth, windowX, and windowY.

## Member Data Documentation

## windowHeight

double osgDB::ImageOptions::RatioWindow::windowHeight

Referenced by RatioWindow(), and set().

## windowWidth

double osgDB::ImageOptions::RatioWindow::windowWidth

Referenced by RatioWindow(), and set().

## windowX

double osgDB::ImageOptions::RatioWindow::windowX

Referenced by RatioWindow(), and set().

## windowY

double osgDB::ImageOptions::RatioWindow::windowY

Referenced by RatioWindow(), and set().

The documentation for this struct was generated from the following file:

- ImageOptions